<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.shopping.mapper.BrandsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="brandsResultMap" type="org.springblade.modules.shopping.entity.Brands">
        <id column="id" property="id"/>
        <result column="brand_name" property="brandName"/>
        <result column="brand_img" property="brandImg"/>
        <result column="brand_bimg" property="brandBimg"/>
        <result column="brand_desc" property="brandDesc"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="sort" property="sort"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectBrandsPage" resultMap="brandsResultMap">
        select * from t_brands where is_deleted = 0
    </select>

</mapper>
